%define pkg_name        WWW-Mechanize-TreeBuilder
%define pkg_version     1.00002
%define rpm_pkg_version 1.00002
%define rpm_pkg_release 1.n0i.1

Summary:       Combines WWW::Mechanize and HTML::TreeBuilder
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/WWW/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(WWW::Mechanize)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::WWW::Mechanize)
BuildRequires: perl(Test::More)

Requires: perl(WWW::Mechanize)


%description
This module combines WWW::Mechanize and HTML::TreeBuilder.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes


%changelog
* Wed Sep 19 2007 Marius Feraru <altblue@n0i.net> - 1.00002-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 1.00002
